#
# Please do not update/rebuild/touch this package before asking first to mikala , lmenut and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Qt wrapper for ModemManager API
Name:           modemmanager-qt
Version: 5.42.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  pkgconfig(ModemManager)
BuildRequires:  pkgconfig(libnm-util)
BuildRequires:  pkgconfig(libnm-glib)
%description
Qt wrapper for ModemManager API

#--------------------------------------------------------------------

%define kf5modemmanagerqt_major 5
%define libkf5modemmanagerqt %mklibname kf5modemmanagerqt %{kf5modemmanagerqt_major}

%package -n %libkf5modemmanagerqt
Summary:      Qt wrapper for ModemManager API
Group:        System/Libraries

%description -n %libkf5modemmanagerqt
Qt wrapper for ModemManager API

%files -n %libkf5modemmanagerqt
%_kf5_libdir/libKF5ModemManagerQt.so.%{kf5modemmanagerqt_major}*
%_kf5_libdir/libKF5ModemManagerQt.so.6

#--------------------------------------------------------------------

%define modemmanagerqt_devel %mklibname %name -d

%package -n %modemmanagerqt_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5modemmanagerqt = %version-%release
Provides:       %name-devel = %{version}-%{release}

Obsoletes:      %{_lib}plasma5-libnm-qt-devel < 5.11.0
Provides:       %{_lib}plasma5-libnm-qt-devel = %version-%release

%description -n %modemmanagerqt_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %modemmanagerqt_devel
%_kf5_includedir/ModemManagerQt
%_kf5_includedir/modemmanagerqt_version.h
%_kf5_libdir/cmake/KF5ModemManagerQt
%_kf5_libdir/libKF5ModemManagerQt.so
%_qt5_libdir/qt5/mkspecs/modules/qt_ModemManagerQt.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make

%install
%makeinstall_std -C build



%changelog
* Wed Jan 17 2018 neoclust <neoclust> 5.42.0-1.mga6
+ Revision: 1194171
- New version 5.42

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1089001
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074573
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072237
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058392
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050569
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045147
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041369
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021967
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014377
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999666
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986359
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942285
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921312
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 912923
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909914
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 900434
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-1.mga6
+ Revision: 899775
- imported package modemmanager-qt

